Bug 1877822 - The OS which already has a golden image can not be selected in upload screen
Summary: The OS which already has a golden image can not be selected in upload screen
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Tomas Jelinek
QA Contact: Guohua Ouyang
URL:
Whiteboard: ux_issue
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-10 14:07 UTC by Tomas Jelinek
Modified: 2021-01-04 19:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:39:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6649 0 None closed Bug 1877822: The OS which already has a golden image can not be selected 2021-01-04 19:01:18 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:39:52 UTC

Description Tomas Jelinek 2020-09-10 14:07:04 UTC
Description of problem:
If I try to select an OS which already has a golden image in the PVC->upload screen, I can not. And there is no indication as of how to update it or delete it.

What we should do instead is to let the user to pick it (keep the "default image  already exists label in the list"), and if it is selected, disable the screen and explain that "This operating system already has an image associated. You can go to the PVC screen to delete it". The "PVC screen" part should be a clickable link which brings you to the correct namespace.

Comment 1 Dan Kenigsberg 2020-09-10 14:39:38 UTC
Note that uploading should be atomic. We must not upload data to the PV which is referred to by the template, as cloning it mid-way would create corrupted VMs. Fabian suggested to upload to a new PV and then swap the PV reference in the "golden" PVC. Finally, the old PV can be scheduled for deletion once nothing reads from it.

Comment 2 Matt 2020-09-11 19:55:53 UTC
Ideally the user would see that OS has an existing source but they should be able to select it. 
Here's a design for what I'm thinking
https://xd.adobe.com/view/2d9ea5e4-2d79-4cf6-a89c-f91ca15a762e-78cd/

Comment 3 Tomas Jelinek 2020-09-13 17:31:16 UTC
(In reply to Dan Kenigsberg from comment #1)
> Note that uploading should be atomic. We must not upload data to the PV
> which is referred to by the template, as cloning it mid-way would create
> corrupted VMs. 

@Adam, I think CDI should make sure that you can not clone an image while something is being uploaded to. Am I right?

> Fabian suggested to upload to a new PV and then swap the PV
> reference in the "golden" PVC. Finally, the old PV can be scheduled for
> deletion once nothing reads from it.

Comment 5 Guohua Ouyang 2020-09-22 02:34:31 UTC
verified on master, it alerts user need to delete the existing pvc.

Comment 8 errata-xmlrpc 2020-10-27 16:39:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.